javax.batch.api.partition

## Interface PartitionPlan

- All Known Implementing Classes:
    PartitionPlanImpl

      public interface PartitionPlan

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Properties[]` | `getPartitionProperties()` Gets array of Partition Properties objects for Partitions.
    `int` | `getPartitions()` Gets count of Partitions.
    `boolean` | `getPartitionsOverride()` Return current value of partition override setting.
    `int` | `getThreads()` Gets count of threads.
    `void` | `setPartitionProperties(Properties[] props)` Sets array of substitution Properties objects for the set of Partitions.
    `void` | `setPartitions(int count)` Set number of partitions.
    `void` | `setPartitionsOverride(boolean override)` Specify whether or not to override the partition count from the previous job execution.
    `void` | `setThreads(int count)` Set number of threads.

- - ### Method Detail

    - #### setPartitions

          void setPartitions(int count)

      Set number of partitions.
      Parameters:
        `count` - specifies the partition count

    - #### setPartitionsOverride

          void setPartitionsOverride(boolean override)

      Specify whether or not to override the partition count from the previous job execution. This applies only to step restart. The default is false.

      When false is specified, the partition count from the previous job execution is used and any new value set for partition count in the current run is ignored. In addition, partition results from the previous job execution are remembered, and only incomplete partitions are reprocessed.

      When true is specified, the partition count from the current run is used and all results from past partitions are discarded. Any resource cleanup or back out of work done in the previous run is the responsibility of the application. The PartitionReducer artifact's rollbackPartitionedStep method is invoked during restart before any partitions begin processing to provide a cleanup hook.

    - #### getPartitionsOverride

          boolean getPartitionsOverride()

      Return current value of partition override setting.
      Returns:
        override setting.

    - #### setThreads

          void setThreads(int count)

      Set number of threads. Defaults to zero, which means thread count is equal to partition count.
      Parameters:
        `count` - specifies the thread count

    - #### setPartitionProperties

          void setPartitionProperties(Properties[] props)

      Sets array of substitution Properties objects for the set of Partitions.
      Parameters:
        `props` - specifies the Properties object array

    - #### getPartitions

          int getPartitions()

      Gets count of Partitions.
      Returns:
        Partition count

    - #### getThreads

          int getThreads()

      Gets count of threads.
      Returns:
        thread count

    - #### getPartitionProperties

          Properties[] getPartitionProperties()

      Gets array of Partition Properties objects for Partitions.
      Returns:
        Partition Properties object array

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.